=== debian/changelog ===
cloud-init (22.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bastian Blank <waldi@debian.org>  Wed, 22 Jun 2022 11:56:52 +0200

cloud-init (22.2-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Removed prettytable and six from build-depends (Closes: #1009279).

  [ Noah Meyerhans ]
  * debian/watch: point to github as the canonical source repository
  * New upstream version 22.2
  * d/control: Add python3-responses and python3-pytest-mock build-deps
  * salsa-ci: allow reprotest to fail
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Tue, 31 May 2022 12:44:24 -0700

cloud-init (21.4-3) unstable; urgency=medium

  * Fix VMware tests for ipv6-only.

 -- Bastian Blank <waldi@debian.org>  Tue, 29 Mar 2022 13:36:09 +0200

cloud-init (21.4-2) unstable; urgency=medium

  * Remove ifupdown and net-tools depends.
  * Require isc-dhcp-client as dhclient is used internally.

 -- Bastian Blank <waldi@debian.org>  Mon, 28 Mar 2022 11:56:22 +0200

cloud-init (21.4-1) unstable; urgency=medium

  * New upstream version 21.4 (Closes: 910654)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 03 Nov 2021 10:44:32 -0700

cloud-init (21.3-2) unstable; urgency=medium

  * Refreshed debian/patches/cloud-init-before-chronyd.patch.
  * Add patch: fix-sources-list-for-security-in-bullseye-and-above.patch
    (Closes: #969934).

 -- Thomas Goirand <zigo@debian.org>  Sun, 24 Oct 2021 23:28:46 +0200

cloud-init (21.3-1) unstable; urgency=medium

  * New upstream version 21.3
  * Add python3-netifaces to build-deps
  * Install upstream man pages

 -- Noah Meyerhans <noahm@debian.org>  Thu, 26 Aug 2021 12:33:57 -0700

cloud-init (21.2-1) unstable; urgency=medium

  * New upstream version 21.2 (Closes: #991629, #979974)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Aug 2021 09:16:27 -0700
