=== debian/watch ===
version=3
https://github.com/canonical/cloud-init/tags .*/(\d+\.\d+).tar.gz
