=== debian/changelog ===
cloud-init (22.3.4-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream bugfix release. (LP: #1987318)
    + Release 22.3.4 (LP: #1986703)
    + Fix Oracle DS primary interface when using IMDS (#1757)
      (LP: #1989686)

 -- Brett Holman <brett.holman@canonical.com>  Mon, 03 Oct 2022 10:17:12 -0600

cloud-init (22.3.3-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream bugfix release. (LP: #1987318)
    + Release 22.3.3
    + Fix Oracle DS not setting subnet when using IMDS (#1735)
    + azure: define new attribute for pre-22.3 pickles (#1725)
    + sources/azure: ensure instance id is always correct (#1727)
      [Chris Patterson]

 -- Brett Holman <brett.holman@canonical.com>  Wed, 21 Sep 2022 14:27:01 -0600

cloud-init (22.3-13-g70ce6442-0ubuntu1~22.04.1) jammy; urgency=medium

  * d/control: add python3-debconf to Depends and Build-Depends
  * d/cloud-init.lintian-overrides: lintian fixes:
    + Fix systemd-service-file-refers-to-unusual-wantedby-target format.
  * d/cloud-init.postinst
    + Lintian: Fix command-with-path-in-maintainer-script for grub-install.
  * d/source/lintian-overrides: lintian fixes:
    + silence binary-nmu-debian-revision-in-source bug:
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1014584
  * d/p/expire-on-hashed-users.patch:
    Add patch to ensure password expire doesn't apply to hashed users
  * drop the following cherry-picks now included:
    + cpick-a2e62738-Fix-cc_phone_home-requiring-tries-1500
  * New upstream snapshot. (LP: #1987318)
    + Fix v2 interface matching when no MAC
    + test: reduce number of network dependencies in flaky test (#1702)
    + docs: publish cc_ubuntu_autoinstall docs to rtd (#1696)
    + net: Fix EphemeraIPNetwork (#1697)
    + test: make ansible test work across older versions (#1691)
    + Networkd multi-address support/fix (#1685) [Teodor Garzdin]
    + make: drop broken targets (#1688)
    + net: Passthough v2 netconfigs in netplan systems (#1650)
    + NM ipv6 connection does not work on Azure and Openstack (#1616)
      [Emanuele Giuseppe Esposito]
    + Fix check_format_tip (#1679)
    + DataSourceVMware: fix var use before init (#1674) [Andrew Kutz]
    + rpm/copr: ensure RPM represents new clean.d dir artifacts (#1680)
    + test: avoid centos leaked check of /etc/yum.repos.d/epel-testing.repo
      (#1676)
    + Release 22.3 (#1662)
    + sources: obj.pkl cache should be written anyime get_data is run
      (#1669)
    + schema: drop release number from version file (#1664)
    + pycloudlib: bump to quiet azure HTTP info logs (#1668)
    + test: fix wireguard integration tests (#1666)
    + Github is deprecating the 18.04 runner starting 12.1 (#1665)
    + integration tests: Ensure one setup for all tests (#1661)
    + tests: ansible test fixes (#1660)
    + Prevent concurrency issue in test_webhook_hander.py (#1658)
    + Workaround net_setup_link race with udev (#1655)
    + test: drop erroneous lxd assertion, verify command succeeded (#1657)
    + Fix Chrony usage on Centos Stream (#1648) [Sven Haardiek]
    + sources/azure: handle network unreachable errors for saveable PPS
      (#1642) [Chris Patterson]
    + Return cc_set_hostname to PER_INSTANCE frequency (#1651)
    + test: Collect integration test time by default (#1638)
    + test: Drop forced package install hack in lxd integration test
      (#1649)
    + schema: Resolve user-data if --system given (#1644)
      [Alberto Contreras]
    + test: use fake filesystem to avoid file removal (#1647)
      [Alberto Contreras]
    + tox: Fix tip-flake8 and tip-mypy (#1635) [Alberto Contreras]
    + config: Add wireguard config module (#1570)
      [Fabian Lichtenegger-Lukas]
    + tests: can run without azure-cli, tests expect inactive ansible
      (#1643)
    + typing: Type UrlResponse.contents (#1633) [Alberto Contreras]
    + testing: fix references to `DEPRECATED.` (#1641)
      [Alberto Contreras]
    + ssh_util: Handle sshd_config.d folder [Alberto Contreras]
    + schema: Enable deprecations in cc_update_etc_hosts (#1631)
      [Alberto Contreras]
    + Add Ansible Config Module (#1579)
    + util: Support Idle process state in get_proc_ppid() (#1637)
    + schema: Enable deprecations in cc_growpart (#1628)
      [Alberto Contreras]
    + schema: Enable deprecations in cc_users_groups (#1627)
      [Alberto Contreras]
    + util: Fix error path and parsing in get_proc_ppid()
    + main: avoid downloading full contents cmdline urls (#1606)
    + schema: Enable deprecations in cc_scripts_vendor (#1629)
      [Alberto Contreras]
    + schema: Enable deprecations in cc_set_passwords (#1630)
      [Alberto Contreras]
    + sources/azure: add experimental support for preprovisioned os disks
      (#1622) [Chris Patterson]
    + Remove configobj a_to_u calls (#1632) [Stefano Rivera]
    + cc_debug: Drop this module (#1614) [Alberto Contreras]
    + schema: add aggregate descriptions in anyOf/oneOf (#1636)
    + testing: migrate test_sshutil to pytest (#1617) [Alberto Contreras]
    + testing: Fix test_ca_certs integration test (#1626)
      [Alberto Contreras]
    + testing: add support for pycloudlib's pro images (#1604)
      [Alberto Contreras]
    + testing: migrate test_cc_set_passwords to pytest (#1615)
      [Alberto Contreras]
    + network: add system_info network activator cloud.cfg overrides
      (#1619)
    + docs: Align git remotes with uss-tableflip setup (#1624)
      [Alberto Contreras]
    + testing: cover active config module checks (#1609)
      [Alberto Contreras]
    + lxd: lvm avoid thinpool when kernel module absent
    + lxd: enable MTU configuration in cloud-init
    + doc: pin doc8 to last passing version
    + cc_set_passwords fixes (#1590)
    + Modernise importer.py and type ModuleDetails (#1605)
      [Alberto Contreras]
    + config: Def activate_by_schema_keys for t-z (#1613)
      [Alberto Contreras]
    + config: define activate_by_schema_keys for p-r mods (#1611)
      [Alberto Contreras]

