## cloud-init 22.4.2

=== debian/changelog ===
cloud-init (22.4.2-1+deb12u3) bookworm; urgency=medium

  * Import upstream fix for CVE-2024-6174 (Closes: #1108403)
  * salsa-ci: build in bookworm
  * Backport upstream fix for CVE-2024-11584 (Closes: #1108402)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 10 Jul 2025 15:07:51 -0400

cloud-init (22.4.2-1+deb12u2) bookworm; urgency=medium

  * networkd: Add support for multiple [Route] sections (Closes: #1052535)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 17 Sep 2024 11:08:48 -0400

cloud-init (22.4.2-1+deb12u1) bookworm; urgency=medium

  * Add Conflicts/Replaces relationship on cloud-init-22.4.2

 -- Noah Meyerhans <noahm@debian.org>  Tue, 28 May 2024 13:23:38 -0700

cloud-init (22.4.2-1) unstable; urgency=medium

  [ Bastian Blank ]
  * Remove unused integration into rsyslog.
  * Remove unneeded config overrides.
  * Update main config from template

  [ Noah Meyerhans ]
  * d/watch: ignore ubuntu internal releases
  * New upstream version 22.4.2 (Closes: #1010555)
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Tue, 13 Dec 2022 12:35:18 -0800

cloud-init (22.2-3) unstable; urgency=medium

  * Depend on eject for Azure data source.
  * Support APT automated mirror selection.
  * Update Debian default mirrors.

 -- Bastian Blank <waldi@debian.org>  Mon, 05 Sep 2022 15:29:28 +0200

cloud-init (22.2-2) unstable; urgency=high

  * CVE-2022-2084: logged schema failures can include password hashes. Applied
    upstream patch: Remove_schema_errors_from_log.patch (Closes: #1014247).

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Jul 2022 19:03:53 +0200
