## cloud-init 23.1.1

=== debian/changelog ===
cloud-init (23.1.1-0ubuntu2) lunar; urgency=medium

  * d/apport-general-hook.py: Add general apport hook to append cloud type,
    image and instance size information to bug reports (LP: #1724623)
  * d/cloud-init.postinst: MAAS prefer yaml.safe_load over yaml.load
    (LP: #2009746)
  * d/cloud-init.preinst: Oracle to remove vestigial /etc/cloud.cloud.cfg.d/
    99-disable-network-config.cfg because system config is now honored before
    datasource config (LP: #1956788)
  * Upstream snapshot based on upstream/main at 85b2fbc2.
    - Bugs fixed in this snapshot: (LP: #1956788)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 21 Mar 2023 14:43:55 -0600

cloud-init (23.1.1-0ubuntu1) lunar; urgency=medium

  * Upstream snapshot based on main at 4896402b.

 -- James Falcon <james.falcon@canonical.com>  Thu, 02 Mar 2023 16:46:05 -0600

cloud-init (23.1-0ubuntu2) lunar; urgency=medium

  * Upstream snapshot based on main at d1ffbea5.
    - Bugs fixed in this snapshot: (LP: #2008727)

 -- James Falcon <james.falcon@canonical.com>  Thu, 02 Mar 2023 14:05:48 -0600

cloud-init (23.1-0ubuntu1) lunar; urgency=medium

  * Upstream snapshot based on 23.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.1/ChangeLog
    - Bugs fixed in this snapshot: (LP: #1990513, #1999164, #1931174)
      (LP: #1815990)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Wed, 22 Feb 2023 18:15:10 +0100

cloud-init (22.4.2-0ubuntu3) lunar; urgency=medium

  * Upstream snapshot based on upstream/main at bdc7b040.
    - Bugs fixed in this snapshot: (LP: #2001737, #1998526, #2000596)
      (LP: #1851438)
  * Upstream snapshot based on upstream/main at 3b8b4692.
    - Bugs fixed in this snapshot: (LP: #1998998, #1997922, #2002969)
      (LP: #2003562, #1999680)

 -- James Falcon <james.falcon@canonical.com>  Fri, 03 Feb 2023 15:36:12 -0600

cloud-init (22.4.2-0ubuntu2) lunar; urgency=medium

  * Upstream snapshot based on upstream/main at 040090a3.
    - Bugs fixed in this snapshot: (LP: #1994980, #1998655, #1999042)
      (LP: #1997559)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 15 Dec 2022 16:11:37 -0700

cloud-init (22.4.2-0ubuntu1) lunar; urgency=medium

  * Upstream snapshot based on upstream commit 893df0d6.
    - Bugs fixed in this snapshot: (LP: #1997559)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Thu, 24 Nov 2022 08:39:08 +0100

cloud-init (22.4.1-0ubuntu1) lunar; urgency=medium

  * Upstream snapshot based on upstream commit c038808e.

 -- James Falcon <james.falcon@canonical.com>  Mon, 21 Nov 2022 15:02:34 -0600

cloud-init (22.4-0ubuntu4) lunar; urgency=medium

  * Upstream snapshot based on upstream commit 74ed1387.
    - Bugs fixed in this snapshot: (LP: #1844191, #1906849, #1992512)

 -- James Falcon <james.falcon@canonical.com>  Fri, 18 Nov 2022 16:41:49 -0600

cloud-init (22.4-0ubuntu3) lunar; urgency=medium

  * d/changelog: Sync released d/changelog entries
    - 22.3.4-0ubuntu1 and 22.3.3-0ubuntu1~22.10.1
  * Changelog: Sync release entries in Changlog:
    - 22.3.1, 22.3.2, 22.3.3 and 22.3.4

 -- Chad Smith <chad.smith@canonical.com>  Tue, 15 Nov 2022 19:08:24 -0700

cloud-init (22.4-0ubuntu2) lunar; urgency=medium

  * d/changelog: account for closed bugs released in 22.4-0ubuntu1

 -- Chad Smith <chad.smith@canonical.com>  Tue, 15 Nov 2022 16:34:07 -0700

cloud-init (22.4-0ubuntu1) lunar; urgency=medium

  * d/control: drop python3-httpretty from Build-Depends
  * d/cloud-init.templates: Add NWCS to datasource list
  * Upstream snapshot based on 22.4 upstream release. List of changes
    from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/22.4/ChangeLog
  * Bugs fixed in this snapshot:
    (LP: #1962343, #1913461, #1883122, #1989686, #1307667, #1990070, #1991567)
    (LP: #1991024, #1990041, #1993836)

 -- James Falcon <james.falcon@canonical.com>  Tue, 15 Nov 2022 14:23:44 -0600

cloud-init (22.3.4-0ubuntu1) kinetic; urgency=medium

  * New upstream bug fix release.
    + Release 22.3.4 (LP: #1986703)
    + Fix Oracle DS primary interface when using IMDS (#1757)
      (LP: #1989686)

 -- Brett Holman <brett.holman@canonical.com>  Fri, 30 Sep 2022 16:07:44 -0600

cloud-init (22.3.3-0ubuntu1~22.10.1) kinetic; urgency=medium

  * New upstream bug fix release.
    + Release 22.3.3 (LP: #1986703)
    + Fix Oracle DS not setting subnet when using IMDS (#1735)
      (LP: #1989686)
    + azure: define new attribute for pre-22.3 pickles (#1725)
    + sources/azure: ensure instance id is always correct (#1727)
      [Chris Patterson]

 -- Brett Holman <brett.holman@canonical.com>  Mon, 19 Sep 2022 13:13:06 -0600

cloud-init (22.3-13-g70ce6442-0ubuntu1~22.10.1) kinetic; urgency=medium

  * New upstream snapshot.
    + Fix v2 interface matching when no MAC (LP: #1986551)
    + test: reduce number of network dependencies in flaky test (#1702)
    + docs: publish cc_ubuntu_autoinstall docs to rtd (#1696)
    + net: Fix EphemeraIPNetwork (#1697)
    + test: make ansible test work across older versions (#1691)
    + Networkd multi-address support/fix (#1685) [Teodor Garzdin]
    + make: drop broken targets (#1688)
    + net: Passthough v2 netconfigs in netplan systems (#1650)
      (LP: #1978543)
    + NM ipv6 connection does not work on Azure and Openstack (#1616)
      [Emanuele Giuseppe Esposito]
    + Fix check_format_tip (#1679)

 -- Brett Holman <brett.holman@canonical.com>  Tue, 30 Aug 2022 14:28:27 -0600

cloud-init (22.3-3-g9f0efc47-0ubuntu1~22.10.1) kinetic; urgency=medium

  * New upstream snapshot.
    + DataSourceVMware: fix var use before init (#1674) (LP: #1987005)
      [Andrew Kutz]
    + rpm/copr: ensure RPM represents new clean.d dir artifacts (#1680)
    + test: avoid centos leaked check of /etc/yum.repos.d/epel-testing.repo
      (#1676)
    + typo correction in Changelog

 -- Chad Smith <chad.smith@canonical.com>  Tue, 23 Aug 2022 14:30:10 -0600


