## cloud-init 23.1.2

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,11 @@
 YAML_FILES=$(shell find cloudinit tests tools -name "*.yaml" -type f )
 YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )
 
-PYTHON = python3
+PYTHON ?= python3
 
 NUM_ITER ?= 100
 
-ifeq ($(distro),)
-  distro = redhat
-endif
+distro ?= redhat
 
 READ_VERSION=$(shell $(PYTHON) $(CWD)/tools/read-version || echo read-version-failed)
 CODE_VERSION=$(shell $(PYTHON) -c "from cloudinit import version; print(version.version_string())")
@@ -29,7 +27,7 @@
 	@$(CWD)/tools/run-flake8
 
 unittest: clean_pyc
-	python3 -m pytest -v tests/unittests cloudinit
+	$(PYTHON) -m pytest -v tests/unittests cloudinit
 
 render-template:
 	$(PYTHON) ./tools/render-cloudcfg --variant=$(VARIANT) $(FILE) $(subst .tmpl,,$(FILE))
